def gv

pipeline {
    agent any
    stages {
        stage('init') {
            steps {
                script {
                    gv = load 'script.groovy'
                }
            }
        }
        stage('build image') {
            steps {
                script {
                    echo 'building docker image'
                    def buildID = "$BUILD_ID"
                    gv.buildImage(buildID)
                }
            }
        }
        stage('push image') {
            steps {
                script {
                    echo 'pushing image to registry'
                    gv.pushImage()
                }
            }
        }
    }
}